CricksNNMethod
Date: 2014-08-08

melting.patternModels.cricksPair

## Class CricksNNMethod

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.cricksPair.CricksNNMethod

- All Implemented Interfaces:
    PatternComputationMethod
  Direct Known Subclasses:
    DecomposedInitiation, Freier86, GlobalInitiation, Santalucia04, Sugimoto95, Sugimoto96, Turner06, Xia98

      public abstract class CricksNNMethod
      extends PatternComputation

  This class represents the NN nearest neighbor model (adds the thermodynamic energy (enthalpy and entropy) for each Crick's pair composing the duplex). It extends PatternComputation..

- - ### Field Summary

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CricksNNMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computesHybridizationInitiation(Environment environment)` computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.
    `ThermoResult` | `computeThermodynamics(NucleotidSequences sequences, int pos1, int pos2, ThermoResult result)`
    `boolean` | `isMissingParameters(NucleotidSequences sequences, int pos1, int pos2)` Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, initialiseFileName, isApplicable, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CricksNNMethod

          public CricksNNMethod()

  - ### Method Detail

    - #### computeThermodynamics

          public ThermoResult computeThermodynamics(NucleotidSequences sequences,
                                           int pos1,
                                           int pos2,
                                           ThermoResult result)

      Specified by:
        `computeThermodynamics` in interface `PatternComputationMethod`
      Specified by:
        `computeThermodynamics` in class `PatternComputation`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
        `result` - which contains the computed enthalpy, entropy and melting temperature.
      Returns:
        ThermoResult result which contains the incremented enthalpy and entropy values.

    - #### isMissingParameters

          public boolean isMissingParameters(NucleotidSequences sequences,
                                    int pos1,
                                    int pos2)

      Description copied from interface: `PatternComputationMethod`
      Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.
      Specified by:
        `isMissingParameters` in interface `PatternComputationMethod`
      Overrides:
        `isMissingParameters` in class `PatternComputation`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
      Returns:
        false if one necessary thermodynamic parameter is missing.

    - #### computesHybridizationInitiation

          public ThermoResult computesHybridizationInitiation(Environment environment)

      computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.
      Parameters:
        `environment` -
      Returns:
        ThermoResult containing the enthalpy and entropy which contain the duplex initiation penalty.